Piloterr

Rexel Product

GET
/v2/rexel/product

Get a Rexel France product page: references, EAN, descriptions, images and specs via browser rendering.

Credit cost: 2 credits per call

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

Rexel France product URL containing /p/{id}.

Example:

https://www.rexel.fr/frx/HAGWXF122/p/71742449
return_page_source?boolean

When true, return rendered HTML instead of JSON.

Response Body

Successful response

application/json
  1. response
ean?string
url?string
name?string
brand?string
images?array<string>
rexel_ref?string
product_id?integer
breadcrumbs?unknown
description?string
specifications?
manufacturer_ref?string
short_description?string
Example Request
curl -X GET 'https://api.piloterr.com/v2/rexel/product?query=string'
Example Response
{  "ean": "3250617191227",  "url": "https://www.rexel.fr/frx/HAGWXF122/p/71742449",  "name": "Prise de courant gallery 2P+T double pré cablées",  "brand": "Hager",  "images": [    "https://api.rexel.fr/media/api/fr/content/71742449/EXTRA_LARGE_WEBP"  ],  "rexel_ref": "HAGWXF122",  "product_id": 71742449,  "breadcrumbs": null,  "description": "Gallery est l'appareillage modulaire 45x45 pour chantiers résidentiels et tertiaires.",  "specifications": {    "gamme": "Gallery",    "intensite": "16 A",    "type_de_pose": "encastré",    "tension_nominale": "250 V"  },  "manufacturer_ref": "WXF122",  "short_description": "La prise de courant double pré cablées 2P+T WXF122 fait partie de la gamme gallery."}